CREATE    procedure [C6StagingPeriodico].[RP_ST_Progetto_Robo] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Progetto_Robo',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	--drop table c6staging.RP_Progetto
	truncate table c6stagingperiodico.RP_Progetto_Robo
	insert into C6StagingPeriodico.RP_Progetto_Robo (
	  [chiaveProgetto]
      ,[flagUtilizzoLiquidita]
      ,[Iban_codiceContrattoCC]
      ,[ctvSogliaCC]
      ,[minimoMantenimentoSuCC]
      ,[listTagFondiDaUtilizzare]
      ,[percentualeFogli]
      ,[percentualeFondi]
      ,[chiaveclientepb]
      ,[dt_inserimento]
      ,[dt_aggiornamento]
      ,[FlagCsv]
	  ,[ChiavePtfMod]
      ,[isProgettoRobo]  )
		select  
	   robo.[chiaveProgetto]
      ,robo.[flagUtilizzoLiquidita]
      ,robo.[Iban_codiceContrattoCC]
      ,robo.[ctvSogliaCC]
      ,robo.[minimoMantenimentoSuCC]
      ,robo.[listTagFondiDaUtilizzare]
      ,robo.[percentualeFogli]
      ,robo.[percentualeFondi]
      ,robo.[chiaveclientepb]
      ,robo.[dt_inserimento]
      ,robo.[dt_aggiornamento]
      ,robo.[FlagCsv]
	  ,p.chiaveptfmod
	  ,'S'
	from CONSUNI.ConsulenzaUnica.dbo.[Robo_ProgettoRobo] robo
	inner join CONSUNI.ConsulenzaUnica.dbo.[Progetto] p on p.chiaveProgetto=robo.chiaveProgetto
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Progetto_Robo' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Progetto_Robo'
		)
end